CVE-2010-0622

NameCVE-2010-0622
DescriptionThe wake_futex_pi function in kernel/futex.c in the Linux kernel before 2.6.33-rc7 does not properly handle certain unlock operations for a Priority Inheritance (PI) futex, which allows local users to cause a denial of service (OOPS) and possibly have unspecified other impact via vectors involving modification of the futex value from user space.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2003-1, DSA-2005-1, DSA-2012-1
NVD severitylow (attack range: local)
Debian/oldstablenot vulnerable.
Debian/stablenot known to be vulnerable.
Debian/testingnot known to be vulnerable.
Debian/unstablenot known to be vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux-2.6 (PTS)squeeze (security), squeeze2.6.32-48squeeze6fixed
squeeze (lts)2.6.32-48squeeze11fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linux-2.6source(unstable)2.6.32-9low
linux-2.6sourceetch2.6.18.dfsg.1-26etch2lowDSA-2003-1
linux-2.6sourcelenny2.6.26-21lenny4lowDSA-2012-1
linux-2.6.24source(unstable)(unfixed)low
linux-2.6.24sourceetch2.6.24-6~etchnhalf.9etch3lowDSA-2005-1

Search for package or bug name: Reporting problems